﻿using System;

namespace LearningToolTemplate
{
    /// <summary>
    /// This is the second entry point for your application from itslearning.
    /// It will be called when a user clicks on an instance in the course tree in itslearning.
    /// If your application supports sharing it can also be called when a user accesses an instance in the library.
    /// </summary>
    public partial class ViewInstance : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsApiSessionCreated)
            {
                // First, establish communication to itslearning.
                CreateSession();
            }

            // Then your code goes...

            // If you need to call itslearning REST API you can use proxy class.
            //SampleRestApiClient.CallRestApiUsingProxyClass(ApiSession, LearningObjectId, LearningObjectInstanceId);

            // Or construct request, calclualte hash of authorization data, set Authorization header and execute the request
            //SampleRestApiClient.CallRestApiUsingHttpRequest("WRITE YOUR APPLICATION KEY HERE", "WRITE YOUR SHARED SECRET HERE", ApiSession.SessionId, LearningObjectId, LearningObjectInstanceId);

            
            // You should check the user's permissions to decide what the user can do inside your application
            // use the properties provided inside the BasePage class: 
            // HasReadPermission, HasParticipatePermission, HasEvaluatePermission, HasModifyPermission and HasModifyInstancePermission
            //   e.g. display a button to edit content on this page
            if (HasModifyPermission)
            {
                // TODO show link to edit content
            }

            
            // TODO: see sample methods that you can use in the BasePage class

            // you could do something like this if your application is learning activity with advanced assessment
            // get possible assessment items, automatically select assessment item based on score and set assessment
            //    AssessmentItems assessmentItems = GetPossibleAssessmentItems();
            //    SetAssessment(UserInfo.UserId, assessmentItems[0].AssessmentItemId, "Very good");

        }
    }
}
